module Backend::Api::Loaders
  class Student < GraphQL::DataLoader::Loader(Int32, Int32, Backend::Db::Student?)
    def fetch(batch ids : Array(Int32)) : Array(Db::Student?)
      students = Db::Student.query.where { id.in?(ids) }.to_a
      ids.map { |id| students.find { |u| u.id == id } }
    end
  end

  class StudentVote < GraphQL::DataLoader::Loader(Backend::Db::Student, Int32, Backend::Db::Vote?)
    def key_for(student : Db::Student)
      student.id
    end

    def fetch(batch students : Array(Db::Student)) : Array(Db::Vote?)
      student_ids = students.map(&.id)
      votes = Db::Vote.query.where { student_id.in?(student_ids) }.to_a
      student_ids.map { |s| votes.find { |v| v.student_id == s } }
    end
  end
end
