module Backend::Api::Loaders
  class User < GraphQL::DataLoader::Loader(Int32, Int32, Backend::Db::User?)
    def fetch(batch ids : Array(Int32)) : Array(Db::User?)
      users = Db::User.query.where { id.in?(ids) }.to_a
      ids.map { |id| users.find { |u| u.id == id } }
    end
  end

  class UserStudent < GraphQL::DataLoader::Loader(Backend::Db::User, Int32, Backend::Db::Student?)
    def key_for(user : Db::User) : Int32
      user.id
    end

    def fetch(batch users : Array(Db::User)) : Array(Db::Student?)
      user_ids = users.map(&.id)
      students = Db::Student.query.where { user_id.in?(user_ids) }.to_a
      user_ids.map { |u| students.find { |s| s.user_id == u } }
    end
  end

  class UserTeacher < GraphQL::DataLoader::Loader(Backend::Db::User, Int32, Backend::Db::Teacher?)
    def key_for(user : Db::User) : Int32
      user.id
    end

    def fetch(batch users : Array(Db::User)) : Array(Db::Teacher?)
      user_ids = users.map(&.id)
      teachers = Db::Teacher.query.where { user_id.in?(user_ids) }.to_a
      user_ids.map { |u| teachers.find { |t| t.user_id == u } }
    end
  end
end
