# Mentorenwahl: A fullstack application for assigning mentors to students based on their whishes.
# Copyright (C) 2022  Dominic Grimm
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

module Backend
  module Api
    module Schema
      # Schema helper macros
      module Helpers
        # Defines DB model field helper functions
        macro db_object(type, id_type)
          def initialize(@model : {{ type }})
          end

          def self.from_id(id : Int32) : self
            new({{ type }}.query.find! { var(:id) == id })
          end

          {% space_name = type.names.last.underscore.gsub(/_/, " ").capitalize %}

          @[GraphQL::Field]
          # {{ space_name }}'s ID
          def id : {{ id_type }}
            @model.id
          end
        end
      end
    end
  end
end
