use yew::prelude::*;

pub struct Footer;

impl Component for Footer {
    type Message = ();
    type Properties = ();

    fn create(_ctx: &Context<Self>) -> Self {
        Self
    }

    fn view(&self, _ctx: &Context<Self>) -> Html {
        html! {
            <footer class={classes!("footer")}>
                <div class={classes!("columns")}>
                    <div class={classes!("column", "is-three-quarters")}>
                        <h3 class={classes!("title", "is-3")}>{ "mentorenwahl.dergrimm.net" }</h3>
                        <p>
                            <a href="https://git.dergrimm.net/mentorenwahl/mentorenwahl"><strong>{ "Mentorenwahl" }</strong></a> { " von " }
                            <a href="https://dergrimm.net">{ "Dominic Grimm" }</a> { ". " }
                            { "Der Sourcecode ist lizensiert unter der " } <a href="https://www.gnu.org/licenses/gpl-3.0.en.html">{ "GNU General Public License version 3" }</a> {"."}
                        </p>
                    </div>
                    <div class={classes!("column")}>
                        <p>
                            <a href="https://www.rust-lang.org/">
                                <figure class={classes!("image")}>
                                    <img src="https://forthebadge.com/images/badges/made-with-rust.svg" />
                                </figure>
                            </a>
                        </p>
                        <p>
                            <figure class={classes!("image")}>
                                <img src="https://forthebadge.com/images/badges/no-ragrets.svg" />
                            </figure>
                        </p>
                    </div>
                </div>

                <hr />

                <div>
                    <p>
                        { "©2022 Dominic Grimm" }
                    </p>
                </div>
            </footer>
        }
    }
}
