use bounce::helmet::Helmet;
use yew::prelude::*;

#[derive(Properties, PartialEq)]
pub struct TitleProps {
    pub title: String,
}

pub struct Title;

impl Component for Title {
    type Message = ();
    type Properties = TitleProps;

    fn create(_ctx: &Context<Self>) -> Self {
        Self
    }

    fn view(&self, ctx: &Context<Self>) -> Html {
        html! {
            <Helmet>
                <title>{ format!("{} | Mentorenwahl", ctx.props().title) }</title>
            </Helmet>
        }
    }
}
