pub const DEFAULT_COOKIE_OPTIONS: wasm_cookies::CookieOptions = wasm_cookies::CookieOptions {
    domain: None,
    expires: None,
    path: None,
    same_site: wasm_cookies::SameSite::Lax,
    secure: false,
};

pub mod names {
    use const_format::concatcp;

    const BASE: &str = "mentorenwahl_";

    pub const TOKEN: &str = concatcp!(BASE, "token");
    pub const ADMIN: &str = concatcp!(BASE, "admin");
}

const DELETE_ON_LOGOUT: [&str; 2] = [names::TOKEN, names::ADMIN];

pub fn logout_clear() {
    for x in DELETE_ON_LOGOUT {
        wasm_cookies::delete(x);
    }
}
