use yew::prelude::*;

use crate::components;

#[derive(Properties, PartialEq)]
pub struct IndexProps {
    pub token: Option<String>,
}

pub struct Index;

impl Component for Index {
    type Message = ();
    type Properties = IndexProps;

    fn create(_ctx: &Context<Self>) -> Self {
        Self
    }

    fn view(&self, ctx: &Context<Self>) -> Html {
        html! {
            <>
                <div id="wrapper">
                    <section class={classes!("hero", "is-success", "is-fullheight")}>
                        <div class={classes!("hero-head")}>
                            <components::navbar::Navbar token={ctx.props().token.to_owned()} />
                        </div>

                        <div class={classes!("hero-body")}>
                            <div class={classes!("container", "has-text-centered")}>
                                <h1 class={classes!("title")}>
                                    { "Mentorenwahl" }
                                </h1>
                                <h2 class={classes!("subtitle")}>
                                    { "Programmierprojekt für das Otto-Hahn-Gymnasium Furtwangen für die algorithmische Zuweisung von Mentoren an Schüler nach ihren Wünschen" }
                                </h2>
                            </div>
                        </div>

                        <div class={classes!("hero-foot")}>
                        </div>
                    </section>

                    <main>
                    </main>
                </div>
                <components::footer::Footer />
            </>
        }
    }
}
