use yew::prelude::*;

use crate::components;
use crate::layouts;

#[derive(Properties, PartialEq)]
pub struct NotFoundProps {
    pub token: Option<String>,
}

pub struct NotFound;

impl Component for NotFound {
    type Message = ();
    type Properties = NotFoundProps;

    fn create(_ctx: &Context<Self>) -> Self {
        Self
    }

    fn view(&self, ctx: &Context<Self>) -> Html {
        html! {
            <>
                <components::title::Title title="404 Not found" />
                <layouts::main::Main token={ctx.props().token.to_owned()}>
                    <h1>{ "404" }</h1>
                </layouts::main::Main>
            </>
        }
    }
}
